{% load static %}
{#<!DOCTYPE html>#}
{#<html lang="en">#}
{#<head>#}
{#    <meta charset="UTF-8">#}
{#    <title>Site "{{ object }}" [#{{ object.pk }}] (has {{ object.contains.count }} hazards)</title>#}
    <link href="{% static 'bootstrap.min.css' %}" rel="stylesheet" type="text/css">
    <link href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css" integrity="sha512-xodZBNTC5n17Xt2atTPuE1HxjVMSvLVW9ocqUKLsCC5CXdbqCmblAshOMAS6/keqq/sMZMZ19scR4PsZChSR7A==" crossorigin="" rel="stylesheet" type="text/css" />
{#</head>#}
{#<body class="text-left container-fluid pt-2" dir="rtl">#}
<style rel="stylesheet" type="text/css">
    .site {color: #000060; font-weight: 700;}
    a:hover {text-decoration: none;}
    .hazard {color: #600000; font-weight: 700;}
</style>
<div class="site alert alert-dark m-2 w-75 text-right">
    {{ object.pk }}. {{ object.title }}
</div>
{% if object.contains.count %}
    <h5 class="w-100 text-center">Hazards</h5>
    {% for h in object.contains.all %}
        <div class="alert alert-dark m-2 w-100 text-right">
            <a class="hazard" href="/hazards/#/{{ h.pk }}">
                {{ forloop.counter }}. {{ h }} [#{{ h.pk }}]
            </a>
        </div>
    {% endfor %}
{% endif %}
<script src="{% static 'jquery-3.6.0.min.js' %}" type="text/javascript"></script>
<script src="{% static 'bootstrap.min.js' %}" type="text/javascript"></script>
<script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js" integrity="sha512-XQoYMqMTK8LvdxXYG3nZ448hOEQiglfqkJs1NOQV44cWnUrBc8PkAOcXy20w0vlaXaVUearIOBhiXZ5V3ynxwA==" crossorigin=""></script>

<script type="text/javascript">
    $(document).ready( function () {
        polygon = {{ object.polygon.geojson | safe }};
        // console.log('polygon: ', polygon);
        map = L.map('site_map').setView([51.505, -0.09], 13);
        L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
            attribution: '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'
        }).addTo(map);
        bounds = L.geoJSON(polygon).addTo(map).getBounds();
        map.fitBounds(bounds);
        window.scrollTo(0,0);
        localStorage.setItem('lastSite', JSON.stringify(map.getCenter()));
        {#debugger;#}
    });
</script>
{#</body>#}
{#</html>#}
